%define upstream_name	 bignum
%define upstream_version 0.42

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Transparent BigNumber support for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Math::BigInt) >= 1.999.712
BuildRequires: perl(Math::BigRat) >= 0.120.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl-Math-BigInt >= 1.87
BuildRequires: perl-Math-BigRat >= 0.20
BuildArch:  noarch
Obsoletes:  perl-bignum < 0.370.0-4

Provides:   perl(bigrat)

%description
All operators (including basic math operations) are overloaded. Integer and
floating-point constants are created as proper BigInts or BigFloats,
respectively.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL5LIB=%{perl_vendorlib}
%__perl Makefile.PL installdirs=vendor
%make

export PERL5LIB=%{perl_vendorlib}/

%install
%make_install

%files
%doc BUGS CHANGES INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/Math
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.420.0-3pclos2017
- rebuild against updates

